ppmrainbow(1)

NAME
ppmrainbow - Generate a rainbow

SYNOPSIS
ppmrainbow [-width=number] [-height=number]
[-tmpdir=directory] [-verbose] color ...

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or equals signs between an option name and its value.

DESCRIPTION
ppmrainbow generates a PPM image that fades from one color to another to another from left to right, like a rainbow. The colors are those you specify on the command line, in that order. The first color is added again on the right end of the image. If you want a vertical or other non-horizontal rainbow, run the output through pnmrotate. One use for such a rainbow is to compose it with another image under an alpha mask in order to add a rainbow area to another image. In fact, you can make rainbow-colored text by using pbmtext, pnmcomp, and ppmrainbow.

OPTIONS

-width number
    The width in pixels of the output image. Default is 600.

-height number
    The height in pixels of the output image. Default is 8.

-tmpdir
    The directory specification of the directory ppmrainbow is to use for temporary files. Default is the value of the TMPDIR environment variable, or /tmp if TMPDIR is not set.

-verbose
    Print the "commands" (invocations of other Netpbm programs) that ppmrainbow uses to create the image.

SEE ALSO
ppmmake(1), pnmcomp(1), pbmtext(1), ppmfade(1), ppm(5).

AUTHOR
Arjen Bax wrote ppmrainbow in June 2001 and contributed it to the Netpbm package. Bryan Henderson wrote this man page in July 2001.